Subject: Re: [urn] urn:ietf:rfc

From: "Svensson, Lars" <[email-masked]>
Date: Thu, 26 Jun 2014 10:39:43 +0000

Juha wrote:

> Insisting that fragments identify something makes this best practices
> document more complicated than it needs to be. It would be easier to write
> a text with the title "Best practices for URI fragments and media type
> definitions".

But they *do* identify something, namely a resource within another resource (or in other words, a specific place in a resource). Nothing we do in URN space can change that. What we can do is to say that for *identification* purposes, a URN can only identify primary resources and that any secondary resource is not considered a *named* resource (since it doesn't have a resource _Name_). 
On the other hand there is nothing that prevents me from constructing the axiom

<urn:example:foo#bar> owl:sameAs <urn:example:bar> .

which in a SemWeb setting allows me to use urn:example:bar as a name for a primary resource...

> Even in [1] the author occasionally avoids the term identification. For instance
> on chapter C.5 URI http://example.org/potter#hermione just "means" the
> person named Hermione Granger, but does not "identify" her.

Perhaps we should ask Jeni if that is intentional. As said: Yes, the term "fragment identifier" might be problematic, but I'd still say that it identifies something and I don't think that changing its name to "fragment" solves any problem (except the terminological one).

[...]

> There are a lot of reasons why fragments must not be part of the namespace
> specific strings. But I see no problem in allowing them in URNs, as long as we
> don't think of them as identifiers. I fully agree with [1] that "authors can use
> fragments within referenced URIs (that is, URLs and URNs) to address
> content on documents published by others" .

Yes, but I think we need to more explicit in 2141bis what are the implications and that they are not only not part of the NSS, but also that they play no role in identification (but I'm repeating myself).

Best,

Lars